Bug 70551 - PAM + pam_ldap + OpenSSL fails (unresolved symbol)
PAM + pam_ldap + OpenSSL fails (unresolved symbol)
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssl096 (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-02 09:57 EDT by Richard L. Goerwitz III
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard L. Goerwitz III 2002-08-02 09:57:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When PAM is configured to use pam_ldap (e.g., in /etc/pam.d/system-auth)
or the like), pam_ldap looks for libssl.so.2 and tries to load it.  When it
does, it finds an unresolved symbol:

Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM unable to
dlopen(/lib/security/pam_ldap.so)
Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM [dlerror: /lib/libssl.so.2:
undefined symbol: OpenSSLDie]
Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM adding faulty module:
/lib/security/pam_ldap.so

This is a fairly serious bug, as it will prevent some people from
logging in unless they have local /etc/passwd and shadow information
on a given box.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
In /etc/pam.d/system-auth:

auth        required      /lib/security/pam_env.so
auth        sufficient    /lib/security/pam_ldap.so debug
auth        sufficient    /lib/security/pam_unix.so likeauth nullok
auth        required      /lib/security/pam_deny.so

Make sure to upgrade to the latest OpenSSL.

Then try to log in.



Actual Results:  Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM unable to
dlopen(/lib/security/pam_ldap.so)
Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM [dlerror: /lib/libssl.so.2:
undefined symbol: OpenSSLDie]
Aug  1 14:05:17 pcrgoerwit sshd[25322]: PAM adding faulty module:
/lib/security/pam_ldap.so



Expected Results:  Should have seen nothing about unresolved symbols, and I
should have
been able to log in!

Additional info:

This bug should be fixed.  It may result in people getting locked out
of their machines - which is more than just inconvenient.
Comment 1 Richard L. Goerwitz III 2002-08-21 15:00:08 EDT
Okay, this bug is easily worked around:  Run /sbin/ldconfig and restart any
services that care about the PAM modules (like sshd).
Comment 2 Bill Nottingham 2006-08-05 01:17:08 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:54:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.